> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user data sources



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/users/{user_id}/data-sources
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/users/{user_id}/data-sources:
    get:
      tags:
        - 'External: Data Sources'
      summary: Get user data sources
      operationId: get_user_data_sources_api_v1_users__user_id__data_sources_get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: User ID
            title: User Id
          description: User ID
        - name: X-Open-Wearables-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Open-Wearables-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataSourceListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DataSourceListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DataSourceResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: DataSourceListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataSourceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        provider:
          $ref: '#/components/schemas/ProviderName'
        user_connection_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Connection Id
        device_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Model
        software_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Software Version
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        device_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Type
        original_source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Original Source Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
      type: object
      required:
        - id
        - user_id
        - provider
      title: DataSourceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProviderName:
      type: string
      enum:
        - apple
        - samsung
        - google
        - garmin
        - polar
        - suunto
        - whoop
        - strava
        - oura
        - fitbit
        - ultrahuman
        - unknown
        - internal
      title: ProviderName
      description: Supported data providers.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````